Bug 104659 - sometimes crashes, other times gets SSL error and says that there was an error with the username
sometimes crashes, other times gets SSL error and says that there was an erro...
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-18 11:54 EDT by fiona
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-20 07:13:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fiona 2003-09-18 11:54:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Sometimes the thing just crashes and I get a Java exception message. Other times
I get this message right after it tells me it has a problem with the username:

  File "/usr/share/rhn/up2date_client/gui.py", line 517, in onLoginPageNext
    pw1.get_text())
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 198, in reserveUser
    ret = rpcServer.doCall(s.registration.reserve_user, username, password)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 114, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 126, in _request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 130, in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 614, in send_http
    headers=self.headers)
  File "/usr/lib/python2.2/httplib.py", line 701, in request
    self._send_request(method, url, body, headers)
  File "/usr/lib/python2.2/httplib.py", line 723, in _send_request
    self.endheaders()
  File "/usr/lib/python2.2/httplib.py", line 695, in endheaders
    self._send_output()
  File "/usr/lib/python2.2/httplib.py", line 581, in _send_output
    self.send(msg)
  File "/usr/lib/python2.2/httplib.py", line 560, in send
    self.sock.sendall(str)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 191, in write
    sent = self._connection.send(data)
SSL.Error: [('SSL routines', 'SSL3_GET_SERVER_CERTIFICATE', 'certificate verify
failed')]
is_network_error: '[('SSL routines', 'SSL3_GET_SERVER_CERTIFICATE', 'certificate
verify failed')]'

In any case, I can't get it to work. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run up2date either from the command line or the gui

    

Actual Results:  I get the error I described above. 

Expected Results:  Well, it should have updated my system. 

Additional info:
Comment 1 Mark J. Cox (Product Security) 2003-09-20 07:13:24 EDT
Please see https://rhn.redhat.com/help/latest-up2date.pxt

Note You need to log in before you can comment on or make changes to this bug.